# class NativeFile

#### package cpp

Available on Android, iOS, Linux, macOS, Windows

### Static methods

###

`staticfile_close (handle:Dynamic):Void`

###

`staticfile_contents_bytes (name:String):BytesData`

###

`staticfile_contents_string (name:String):String`

###

`staticfile_eof (handle:Dynamic):Bool`

###

`staticfile_flush (handle:Dynamic):Void`

###

`staticfile_open (fname:String, r:String):Dynamic`

###

`staticfile_read (handle:Dynamic, s:BytesData, p:Int, n:Int):Int`

###

`staticfile_read_char (handle:Dynamic):Int`

###

`staticfile_seek (handle:Dynamic, pos:Int, kind:Int):Void`

###

`staticfile_stderr ():Dynamic`

###

`staticfile_stdin ():Dynamic`

###

`staticfile_stdout ():Dynamic`

###

`staticfile_tell (handle:Dynamic):Int`

###

`staticfile_write (handle:Dynamic, s:BytesData, p:Int, n:Int):Int`

###

`staticfile_write_char (handle:Dynamic, c:Int):Void`